#include <propeller.h>
#include <stdio.h>
#include "device_io.h"

#define i2c_clk      0
#define i2c_dat      1
#define eeprom_addr  0xA0
#define io_addr      0x40

void main (int argc,  char* argv[])
{   
   unsigned char eeprom, data, io;
	unsigned int i, len;
	unsigned char wbuf[] = {(char)0xAA,  (char)0x55,  (char)0x00,  (char)0xFF};
	unsigned char rbuf[4];
	unsigned char iobuf[1];
	len = 4;

	I2C_Init(i2c_dat, i2c_clk );

	eeprom = I2C_IsDevPresent( eeprom_addr );
	if (eeprom)
		printf("EEPROM present\n");
	else
		printf("EEPROM not present\n");

	io = I2C_IsDevPresent(io_addr );
	if (io)
		printf("IO present\n");
	else
		printf("IO not present\n");
   if (eeprom)
	{
		I2C_WriteAddrPage( eeprom_addr, 0x0008, wbuf, len );
		Delay( 1600000 );  
	}

	for(; ; )
	{
		if (eeprom)
		{
			I2C_ReadAddrPage( eeprom_addr, 0x0008, rbuf, len );
			for (i = 0; i < len; i++)
			{
				printf("%02X\n", rbuf[i]);
				if (io)
				{
					iobuf[0] = rbuf[i];
			   	I2C_WritePage( io_addr, iobuf, 1 );
					Delay( 80000000 );
				}	
			}
		}	
	}
}
